> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet Splits

> Get all split events for a wallet. Splits occur when USDC is converted into outcome tokens.

Returns split events where USDC was converted into outcome tokens for a market condition.

## Request

```
GET /v3/wallets/{address}/splits
```

### Query parameters

| Parameter | Type    | Default | Description                          |
| --------- | ------- | ------- | ------------------------------------ |
| `after`   | integer | --      | Start of time range (Unix timestamp) |
| `before`  | integer | --      | End of time range                    |
| `limit`   | integer | 100     | Max 300                              |
| `offset`  | integer | 0       | Pagination offset                    |

## Example

```bash theme={null}
curl https://api.polynode.dev/v3/wallets/0xada100874d00e3331d00f2007a9c336a65009718/splits?limit=1
```

```json theme={null}
{
  "data": [
    {
      "id": "0x48a4ffe402ea660ccb9dea5f802ca4ea5d22ed395ae07d249fca0ec94b79d325_0x566",
      "timestamp": "1778492385",
      "condition": "0xd863a481323564b64f431d4c8fa8f0237f56075b2bb4b6f3ec9be8986ec292f0",
      "amount": "33927075"
    }
  ],
  "rows_returned": 1,
  "has_more": true,
  "elapsed_ms": 3
}
```

## Response fields

| Field       | Type   | Description                   |
| ----------- | ------ | ----------------------------- |
| `id`        | string | Split event ID                |
| `timestamp` | string | Unix timestamp                |
| `condition` | string | Market condition ID           |
| `amount`    | string | USDC amount split (6-decimal) |
